Vulnerability CVE-2018-20431


Published: 2018-12-24

Description:
GNU Libextractor through 1.8 has a NULL Pointer Dereference vulnerability in the function process_metadata() in plugins/ole2_extractor.c.

Type:

CWE-476

(NULL Pointer Dereference)

CVSS2 => (AV:N/AC:M/Au:N/C:N/I:N/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
None
None
Partial
Affected software
GNU -> Libextractor 
Debian -> Debian linux 

 References:
http://www.securityfocus.com/bid/106300
https://gnunet.org/bugs/view.php?id=5494
https://gnunet.org/git/libextractor.git/commit/?id=489c4a540bb2c4744471441425b8932b97a153e7
https://gnunet.org/git/libextractor.git/tree/ChangeLog
https://lists.debian.org/debian-lts-announce/2018/12/msg00015.html
https://www.debian.org/security/2018/dsa-4361

Copyright 2021, cxsecurity.com

 

Back to Top